var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { isToday } from 'date-fns';
import { defaultModifiers } from '../../DayPicker/defaults/defaultModifiers';
import { getMatchingModifiers } from './utils/getMatchingModifiers';
import { getModifiersFromProps } from './utils/getModifiersFromProps';
/**
 * TODO: add docs
 */
export function useModifiers(day, props) {
    var modifiers = __assign({}, defaultModifiers);
    modifiers.today = isToday(day);
    // TODO: outside modifiers
    if (modifiers.outside && !props.showOutsideDays) {
        modifiers.hidden = true;
    }
    modifiers.disabled = Boolean(modifiers.outside && !props.enableOutsideDaysClick);
    if (modifiers.outside && !props.showOutsideDays) {
        modifiers.hidden = true;
    }
    modifiers.disabled = Boolean(modifiers.outside && !props.enableOutsideDaysClick);
    var modifiersFromProps = getModifiersFromProps(props);
    var modifiersArray = getMatchingModifiers(day, modifiersFromProps);
    modifiersArray.forEach(function (modifier) { return (modifiers[modifier] = true); });
    if (!props.onDayClick || modifiers.hidden || modifiers.disabled) {
        modifiers.interactive = false;
    }
    return modifiers;
}
//# sourceMappingURL=useModifiers.js.map