var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { startOfMonth } from 'date-fns';
import { Months } from '../Months';
import { defaultProps } from './defaults/defaultProps';
/**
 * Render a date picker component.
 *
 * @param {DayPickerProps} props
 * @category Components
 */
export function DayPicker(props) {
    if (props === void 0) { props = defaultProps; }
    var isControlled = Boolean(props.month);
    var _a = React.useState(startOfMonth(props.initialMonth || new Date())), currentMonth = _a[0], setCurrentMonth = _a[1];
    function handleMonthChange(month, e) {
        setCurrentMonth(month);
        if (props.onMonthChange)
            props.onMonthChange(month, e);
    }
    return (React.createElement(Months, __assign({}, props, { onMonthChange: !isControlled ? handleMonthChange : props.onMonthChange, month: isControlled ? props.month : currentMonth })));
}
//# sourceMappingURL=DayPicker.js.map