import * as React from 'react';
import { getWeekdaysNames } from './getWeekdaysNames';
/**
 * Render the head of the month table, including the weekday names (Mon, Tue,
 * etc.).
 * @category Components
 */
export function Head(props) {
    var locale = props.locale, showWeekNumber = props.showWeekNumber, dayPickerProps = props.dayPickerProps;
    var classNames = dayPickerProps.classNames, styles = dayPickerProps.styles, formatWeekdayName = dayPickerProps.formatWeekdayName;
    var weekdayNames = getWeekdaysNames(locale, formatWeekdayName);
    return (React.createElement("thead", { style: styles === null || styles === void 0 ? void 0 : styles.head, className: classNames === null || classNames === void 0 ? void 0 : classNames.head },
        React.createElement("tr", { style: styles === null || styles === void 0 ? void 0 : styles.headRow, className: classNames === null || classNames === void 0 ? void 0 : classNames.headRow },
            showWeekNumber && (React.createElement("th", { style: styles === null || styles === void 0 ? void 0 : styles.headWeekNumber, className: classNames === null || classNames === void 0 ? void 0 : classNames.headWeekNumber })),
            weekdayNames.map(function (name, i) { return (React.createElement("th", { key: i, scope: "col", style: styles === null || styles === void 0 ? void 0 : styles.headWeekName, className: classNames === null || classNames === void 0 ? void 0 : classNames.headWeekName }, name)); }))));
}
//# sourceMappingURL=Head.js.map