import * as DateFns from 'date-fns';
/**
 * Return the name of the weekdays according to the formatting function.
 */
export function getWeekdaysNames(locale, format) {
    var start = DateFns.startOfWeek(new Date(), { locale: locale });
    var names = [];
    for (var i = 0; i < 7; i++) {
        var day = DateFns.addDays(start, i);
        names.push(format(day, { locale: locale }));
    }
    return names;
}
//# sourceMappingURL=getWeekdaysNames.js.map