import * as React from 'react';
import { Head } from '../Head';
import { WeekRow } from '../WeekRow';
import { getWeeks } from './getWeeks';
/**
 * Render the month table.
 * @category Components
 */
export function MonthTable(props) {
    var month = props.month, dayPickerProps = props.dayPickerProps;
    var locale = dayPickerProps.locale, classNames = dayPickerProps.classNames, styles = dayPickerProps.styles;
    var showCaption = dayPickerProps.showCaption, showHead = dayPickerProps.showHead;
    var MonthCaption = dayPickerProps.swizzle.MonthCaption;
    var weeks = getWeeks(month, dayPickerProps);
    return (React.createElement("div", { className: classNames === null || classNames === void 0 ? void 0 : classNames.month },
        React.createElement("table", { className: classNames === null || classNames === void 0 ? void 0 : classNames.monthTable, style: styles === null || styles === void 0 ? void 0 : styles.monthTable },
            showCaption && (React.createElement(MonthCaption, { month: month, dayPickerProps: dayPickerProps })),
            showHead && (React.createElement(Head, { locale: locale, showWeekNumber: dayPickerProps.showWeekNumber, dayPickerProps: dayPickerProps })),
            React.createElement("tbody", { className: classNames === null || classNames === void 0 ? void 0 : classNames.monthTbody, style: styles === null || styles === void 0 ? void 0 : styles.monthTbody }, Object.keys(weeks).map(function (weekNumber) { return (React.createElement(WeekRow, { key: weekNumber, week: weeks[weekNumber], weekNumber: Number(weekNumber), dayPickerProps: dayPickerProps })); })))));
}
//# sourceMappingURL=MonthTable.js.map