import { endOfWeek, differenceInDays, addDays } from 'date-fns';
/**
 * Return the outside ending days for the given day.
 */
export function getOutsideEndDays(day, props) {
    var locale = props.locale;
    var days = [];
    var lastDayOfWeek = endOfWeek(day, { locale: locale });
    var endDiff = differenceInDays(lastDayOfWeek, day);
    for (var i = 1; i <= endDiff; i++) {
        var dayDate = addDays(day, i);
        days.push(dayDate);
    }
    return days;
}
//# sourceMappingURL=getOutsideEndDays.js.map