import { startOfWeek, differenceInDays, addDays } from 'date-fns';
/**
 * Return the outside starting days for the given day.
 */
export function getOutsideStartDays(day, props) {
    var locale = props.locale;
    var days = [];
    var firstDayOfWeek = startOfWeek(day, { locale: locale });
    var startDiff = differenceInDays(day, firstDayOfWeek);
    for (var i = 0; i < startDiff; i++) {
        var newDay = addDays(firstDayOfWeek, i);
        days.push(newDay);
    }
    return days;
}
//# sourceMappingURL=getOutsideStartDays.js.map