import { startOfMonth, addMonths } from 'date-fns';
/**
 * Return the next and the previous months for the navigation component,
 * according to the DayPicker props.
 *
 *
 */
export function getNavigation(props) {
    var fromMonth = props.fromMonth, toMonth = props.toMonth, month = props.month, _a = props.numberOfMonths, numberOfMonths = _a === void 0 ? 1 : _a, pagedNavigation = props.pagedNavigation;
    var add = pagedNavigation ? numberOfMonths : 1;
    var currentMonth = startOfMonth(month || new Date());
    var prevMonth;
    if (!fromMonth || currentMonth > startOfMonth(fromMonth)) {
        prevMonth = addMonths(currentMonth, add * -1);
    }
    var nextMonth;
    if (!toMonth ||
        addMonths(currentMonth, numberOfMonths) <= startOfMonth(toMonth)) {
        nextMonth = addMonths(currentMonth, add);
    }
    return { nextMonth: nextMonth, prevMonth: prevMonth };
}
//# sourceMappingURL=getNavigation.js.map